<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <AssemblyName>CommonUsage</AssemblyName>
    <RootNamespace>CommonUsage</RootNamespace>
  </PropertyGroup>

  <PropertyGroup>
   <LangVersion>latest</LangVersion>
   <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>embedded</DebugType>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>embedded</DebugType>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Hedingben.cs" />
    <Compile Remove="IPCConcurrentDictionary.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MQTTnet" Version="4.3.7.1207" />
    <PackageReference Include="MQTTnet.Extensions.ManagedClient" Version="4.3.7.1207" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="System.Buffers" Version="4.5.1" />
    <PackageReference Include="System.Numerics.Vectors" Version="4.5.0" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="FundamentalLib">
      <HintPath>.\ref\RefFundamentalLib.dll</HintPath>
    </Reference>
    <!-- <Reference Include="ClumsyCore">
      <HintPath>..\..\MultiWheelC\ref\RefClumsyCore.dll</HintPath>
    </Reference> -->
  </ItemGroup>

  <Target Name="CopyCommonUsageToMyParkingRef" AfterTargets="Build">
    <MakeDir Directories="..\..\ref" />
    <Copy SourceFiles="$(TargetPath)"
          DestinationFolder="..\..\ref" />
  </Target>

</Project>
